using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Schlaufen
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void cmdSchaltjahr_Click(object sender, EventArgs e)
        {
            int vJahr;
            //Versuche die Eingabe in eine Zahl zu wandeln
            //wenn das fehlschlgt, verlasse die Methode.
            try
            {
                vJahr = Convert.ToInt32(textBoxJahresZahl.Text);
            }
            catch
            {
                MessageBox.Show("Ihre Eingabe entspricht nicht einer Jahreszahl");
                return;
            }

            //Ausgabe einer MessageBox wenn es ein Schaltjahr ist oder nicht.
            if (CheckSchaltjahr(vJahr))
            {
                MessageBox.Show("Ist ein Schaltjahr");
            } else {
                MessageBox.Show("Ist kein Schaltjahr");
            }

        }

        private bool CheckSchaltjahr(int p)
        {
            //Berechnen ob es ein Schaltjahr ist
            if (p % 400 == 0) // Wenn durch 400 teilbar ist, dann Schaltjahr
            {
                return true;
            } else if (p%400 == 0 && p%100!=0) { //durch 200 nicht aber 100
                return true;
            }else {
                return false;
            }
        }
    }
}